Bug 53739 - koffice crashes on document
koffice crashes on document
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: koffice (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-17 10:44 EDT by Stephen John Smoogen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-30 14:52:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Old Word document causes crash (42.00 KB, application/octet-stream)
2001-09-17 10:45 EDT, Stephen John Smoogen
no flags Details

  None (edit)
Description Stephen John Smoogen 2001-09-17 10:44:09 EDT
Description of Problem:

Trying to import an old *.doc I can cause kword to crash 100% of the time.
Here is the crash.. I will attach document in next bug report.

(no debugging symbols found)...0x40f2d669 in __wait4 ()
   from /lib/i686/libc.so.6
#0  0x40f2d669 in __wait4 () from /lib/i686/libc.so.6
#1  0x40fa9154 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x406dd838 in KCrash::defaultCrashHandler () at eval.c:41
#3  <signal handler called>
#4  0x413d16e0 in MsWordGenerated::read () from /usr/lib/kde2/libolefilter.so
#5  0x413d4ee4 in MsWordGenerated::read () from /usr/lib/kde2/libolefilter.so
#6  0x413cedaf in MsWord::getPicture () from /usr/lib/kde2/libolefilter.so
#7  0x413dae1e in Document::Attributes::setRuns ()
   from /usr/lib/kde2/libolefilter.so
#8  0x413d953b in Document::gotParagraph () from /usr/lib/kde2/libolefilter.so
#9  0x413cdd7f in MsWord::decodeParagraph () from /usr/lib/kde2/libolefilter.so
#10 0x413cebd6 in MsWord::getParagraphsFromPapxs ()
   from /usr/lib/kde2/libolefilter.so
#11 0x413ce689 in MsWord::getParagraphsFromBtes ()
   from /usr/lib/kde2/libolefilter.so
#12 0x413cf87f in MsWord::parse () from /usr/lib/kde2/libolefilter.so
#13 0x413d9cc3 in Document::parse () from /usr/lib/kde2/libolefilter.so
#14 0x413c3a13 in WinWordDoc::convert () from /usr/lib/kde2/libolefilter.so
#15 0x413c2d4f in WordFilter::filter () from /usr/lib/kde2/libolefilter.so
#16 0x413bd24d in OLEFilter::convert () from /usr/lib/kde2/libolefilter.so
#17 0x413b6b6d in OLEFilter::filter () from /usr/lib/kde2/libolefilter.so
#18 0x40047f6e in KoFilterManager::import () at eval.c:41
#19 0x4003edc7 in KoDocument::openFile () at eval.c:41
#20 0x4003e9ce in KoDocument::openURL () at eval.c:41
#21 0x4004e6cd in KoMainWindow::openDocumentInternal () at eval.c:41
#22 0x4004e605 in KoMainWindow::openDocument () at eval.c:41
#23 0x40054e22 in KoApplication::start () at eval.c:41
#24 0x4001917f in main () at eval.c:41
#25 0x40e8f507 in __libc_start_main (main=0x80485a0 <main>, argc=2, 
    ubp_av=0xbffff774, init=0x8048568 <_init>, fini=0x8048720 <_fini>, 
    rtld_fini=0x4000dc14 <_dl_fini>, stack_end=0xbffff76c)
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Stephen John Smoogen 2001-09-17 10:45:17 EDT
Created attachment 31878 [details]
Old Word document causes crash
Comment 2 Bernhard Rosenkraenzer 2001-09-17 10:49:52 EDT
(Moving to public)
Comment 3 Bernhard Rosenkraenzer 2001-09-17 10:55:42 EDT
Submitted to bugs.kde.org as #32595
Comment 4 Stephen John Smoogen 2002-12-30 14:52:51 EST
I can no longer test this bug anymore. With OpenOffice working for me.. it isnt
'critical'. Thanks for refering it upstream for me.

Note You need to log in before you can comment on or make changes to this bug.